/ukg-configuration | Type: Application | PCID required: Yes
Tools
ukg-configuration_business_rule_import_tool_business_rule_import_file_upload
Takes an XML transaction and feeds it into the Business Rule Import Tool Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
transaction | string | No | — | The XML Serialized transaction |
uniqueFileName | string | No | — | An optionally provided unique file name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"transaction": {
"type": "string",
"description": "The XML Serialized transaction"
},
"uniqueFileName": {
"type": "string",
"description": "An optionally provided unique file name"
}
},
"required": [
"PCID"
]
}
ukg-configuration_business_rule_import_tool_get_file_upload_status
Retrieve Business Rule Import Tool Transaction Status by File ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
fileId | string | Yes | — | File Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"fileId": {
"type": "string",
"description": "File Id"
}
},
"required": [
"PCID",
"fileId"
]
}
ukg-configuration_business_rule_import_tool_get_staging_status
Retrieve Business Rule Import Tool Transaction Status by Staging ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
stagingId | string | Yes | — | Staging Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"stagingId": {
"type": "string",
"description": "Staging Id"
}
},
"required": [
"PCID",
"stagingId"
]
}
ukg-configuration_business_rule_import_tool_imports_business_rule_staging_data
Takes an XML transaction and feeds it into the Business Rule Import Tool (Staging) Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
transaction | string | No | — | The XML Serialized transaction |
uniqueFileName | string | No | — | An optionally provided unique file name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"transaction": {
"type": "string",
"description": "The XML Serialized transaction"
},
"uniqueFileName": {
"type": "string",
"description": "An optionally provided unique file name"
}
},
"required": [
"PCID"
]
}
ukg-configuration_company_details_get_company_details
Get Company Details Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
companyId | string | No | — | 5 character value represents a UKG Pro HCM CompanyID |
masterCompanyId | string | No | — | 5 character value represents a UKG Pro HCM Master CompanyID |
companyCode | string | No | — | 5 character value represents a UKG Pro HCM Company Code |
isMasterCompany | string | No | — | true/false values represent if this company is a UKG Pro HCM Master Company |
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"companyId": {
"type": "string",
"description": "5 character value represents a UKG Pro HCM CompanyID"
},
"masterCompanyId": {
"type": "string",
"description": "5 character value represents a UKG Pro HCM Master CompanyID"
},
"companyCode": {
"type": "string",
"description": "5 character value represents a UKG Pro HCM Company Code"
},
"isMasterCompany": {
"type": "string",
"description": "true/false values represent if this company is a UKG Pro HCM Master Company"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID"
]
}
ukg-configuration_create_course
Create a new course Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | Unique identifier for this request. Use to trace the request end-to-end. |
X-Partner-Id | string | Yes | — | Partner identifier provided by UKG. |
global-tenant-id | string | Yes | — | Global tenant identifier for multi-tenant operations. |
author | string | No | — | author: string. |
averageExamsScore | integer | No | — | averageExamsScore: integer. |
averageTimeSpent | integer | No | — | averageTimeSpent: integer. |
categoryCode | string | No | — | categoryCode: string. |
coAuthors | string | No | — | coAuthors: string. |
cost | number | No | — | cost: number. |
courseNotes | string | No | — | courseNotes: string. |
creditType | string | No | — | creditType: string. |
creditValue | number | No | — | creditValue: number. |
defaultLocaleCode | string | No | — | defaultLocaleCode: string. |
deliveryMethodCode | string | No | — | deliveryMethodCode: string. |
description | string | Yes | — | description: string. |
duration | object | No | — | duration: object. |
empDevPlanId | integer | No | — | empDevPlanId: integer. |
extensionData | object | No | — | Arbitrary JSON value container for extension data. |
externalCourseId | string | No | — | externalCourseId: string. |
externalLmsId | string | Yes | — | externalLmsId: string. |
isActive | boolean | No | — | isActive: boolean. |
isApprovalRequired | boolean | No | — | isApprovalRequired: boolean. |
isAuditingAllowed | boolean | No | — | isAuditingAllowed: boolean. |
isMicroLearning | boolean | No | — | isMicroLearning: boolean. |
isResultRequired | boolean | No | — | isResultRequired: boolean. |
isVisible | boolean | No | — | isVisible: boolean. |
licenseOrCertCode | string | No | — | licenseOrCertCode: string. |
lmsCreatedDate | string | No | — | lmsCreatedDate: string. |
lmsModifiedDate | string | No | — | lmsModifiedDate: string. |
maxNumberOfParticipants | integer | No | — | maxNumberOfParticipants: integer. |
maxWaitListSize | integer | No | — | maxWaitListSize: integer. |
minNumberOfParticipants | integer | No | — | minNumberOfParticipants: integer. |
rating | object | No | — | Course rating information supplied for a course. |
renewalDate | string | No | — | renewalDate: string. |
skillSetId | string | Yes | — | skillSetId: string. |
status | string | Yes | — | status: string. |
subCategoryCode | string | No | — | subCategoryCode: string. |
tags | object[] | No | — | Tags applied to the course. |
tenantId | string | Yes | — | tenantId: string. |
title | string | Yes | — | title: string. |
totalParticipantsCount | integer | No | — | totalParticipantsCount: integer. |
totalTimeSpent | integer | No | — | totalTimeSpent: integer. |
translations | object[] | No | — | translations: array. |
url | string | No | — | url: string. |
vendorCode | string | No | — | vendorCode: string. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "Unique identifier for this request. Use to trace the request end-to-end."
},
"X-Partner-Id": {
"type": "string",
"description": "Partner identifier provided by UKG."
},
"global-tenant-id": {
"type": "string",
"description": "Global tenant identifier for multi-tenant operations."
},
"author": {
"type": "string",
"description": "author: string."
},
"averageExamsScore": {
"type": "integer",
"description": "averageExamsScore: integer."
},
"averageTimeSpent": {
"type": "integer",
"description": "averageTimeSpent: integer."
},
"categoryCode": {
"type": "string",
"description": "categoryCode: string."
},
"coAuthors": {
"type": "string",
"description": "coAuthors: string."
},
"cost": {
"type": "number",
"description": "cost: number."
},
"courseNotes": {
"type": "string",
"description": "courseNotes: string."
},
"creditType": {
"type": "string",
"description": "creditType: string.",
"enum": [
"CEU",
"MINUTES",
"HOURS"
]
},
"creditValue": {
"type": "number",
"description": "creditValue: number."
},
"defaultLocaleCode": {
"type": "string",
"description": "defaultLocaleCode: string."
},
"deliveryMethodCode": {
"type": "string",
"description": "deliveryMethodCode: string."
},
"description": {
"type": "string",
"description": "description: string."
},
"duration": {
"type": "object",
"description": "duration: object.",
"properties": {
"seconds": {
"type": "integer",
"description": "The seconds value"
},
"zero": {
"type": "boolean",
"description": "The zero value"
},
"nano": {
"type": "integer",
"description": "The nano value"
},
"negative": {
"type": "boolean",
"description": "The negative value"
},
"positive": {
"type": "boolean",
"description": "The positive value"
},
"units": {
"type": "array",
"items": {
"type": "object"
},
"description": "The units value"
}
}
},
"empDevPlanId": {
"type": "integer",
"description": "empDevPlanId: integer."
},
"extensionData": {
"type": "object",
"description": "Arbitrary JSON value container for extension data."
},
"externalCourseId": {
"type": "string",
"description": "externalCourseId: string."
},
"externalLmsId": {
"type": "string",
"description": "externalLmsId: string."
},
"isActive": {
"type": "boolean",
"description": "isActive: boolean."
},
"isApprovalRequired": {
"type": "boolean",
"description": "isApprovalRequired: boolean."
},
"isAuditingAllowed": {
"type": "boolean",
"description": "isAuditingAllowed: boolean."
},
"isMicroLearning": {
"type": "boolean",
"description": "isMicroLearning: boolean."
},
"isResultRequired": {
"type": "boolean",
"description": "isResultRequired: boolean."
},
"isVisible": {
"type": "boolean",
"description": "isVisible: boolean."
},
"licenseOrCertCode": {
"type": "string",
"description": "licenseOrCertCode: string."
},
"lmsCreatedDate": {
"type": "string",
"description": "lmsCreatedDate: string."
},
"lmsModifiedDate": {
"type": "string",
"description": "lmsModifiedDate: string."
},
"maxNumberOfParticipants": {
"type": "integer",
"description": "maxNumberOfParticipants: integer."
},
"maxWaitListSize": {
"type": "integer",
"description": "maxWaitListSize: integer."
},
"minNumberOfParticipants": {
"type": "integer",
"description": "minNumberOfParticipants: integer."
},
"rating": {
"type": "object",
"description": "Course rating information supplied for a course.",
"properties": {
"rating": {
"type": "number",
"description": "Average rating value."
},
"ratingCount": {
"type": "integer",
"description": "Number of ratings contributing to the average."
},
"effectiveStartDateTime": {
"type": "string",
"description": "Start timestamp when the rating is effective."
},
"effectiveEndDateTime": {
"type": "string",
"description": "End timestamp when the rating is effective."
},
"extensionData": {
"type": "object",
"description": "Arbitrary JSON value container for extension data."
}
},
"required": [
"rating",
"ratingCount"
]
},
"renewalDate": {
"type": "string",
"description": "renewalDate: string."
},
"skillSetId": {
"type": "string",
"description": "skillSetId: string."
},
"status": {
"type": "string",
"description": "status: string.",
"enum": [
"A",
"C",
"D"
]
},
"subCategoryCode": {
"type": "string",
"description": "subCategoryCode: string."
},
"tags": {
"type": "array",
"items": {
"type": "object",
"properties": {
"tagType": {
"type": "string",
"description": "Tag type or category identifier."
},
"courseLevel": {
"type": "string",
"enum": [
"INTRODUCTORY",
"INTERMEDIATE",
"ADVANCED"
],
"description": "Course level classification."
},
"courseType": {
"type": "string",
"description": "Course type label."
},
"courseCode": {
"type": "string",
"description": "Course code used by the LMS."
},
"deliveredByType": {
"type": "string",
"description": "Delivery ownership/type information."
},
"earnCode": {
"type": "string",
"description": "Earn code associated to the course."
},
"licenseCode": {
"type": "string",
"description": "License code associated to the course."
},
"providerCode": {
"type": "string",
"description": "Provider identifier."
},
"isAvailableToNewHiresInOnboarding": {
"type": "boolean",
"description": "Indicates if this course is available to new hires during onboarding."
},
"extensionData": {
"type": "object",
"description": "Arbitrary JSON value container for extension data."
}
}
},
"description": "Tags applied to the course."
},
"tenantId": {
"type": "string",
"description": "tenantId: string."
},
"title": {
"type": "string",
"description": "title: string."
},
"totalParticipantsCount": {
"type": "integer",
"description": "totalParticipantsCount: integer."
},
"totalTimeSpent": {
"type": "integer",
"description": "totalTimeSpent: integer."
},
"translations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"localeCode": {
"type": "string",
"description": "Locale code (e.g., en-US)."
},
"title": {
"type": "string",
"description": "Localized course title."
},
"description": {
"type": "string",
"description": "Localized course description."
}
},
"required": [
"description",
"localeCode",
"title"
]
},
"description": "translations: array."
},
"url": {
"type": "string",
"description": "url: string."
},
"vendorCode": {
"type": "string",
"description": "vendorCode: string."
}
},
"required": [
"PCID",
"X-Correlation-Id",
"X-Partner-Id",
"global-tenant-id",
"description",
"externalLmsId",
"skillSetId",
"status",
"tenantId",
"title"
]
}
ukg-configuration_create_course_participant
Create a new course participant Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | Unique identifier for this request. Use to trace the request end-to-end. |
X-Partner-Id | string | Yes | — | Partner identifier provided by UKG. |
global-tenant-id | string | Yes | — | Global tenant identifier for multi-tenant operations. |
companyId | string | No | — | companyId: string. |
completionDateTime | string | Yes | — | completionDateTime: string. |
courseId | string | Yes | — | courseId: string. |
courseSessionId | string | Yes | — | courseSessionId: string. |
dueDate | string | Yes | — | dueDate: string. |
dueDateStatus | string | No | — | dueDateStatus: string. |
endDate | string | No | — | endDate: string. |
extensionData | object | No | — | Arbitrary JSON value container for extension data. |
externalId | string | Yes | — | externalId: string. |
isRequired | boolean | No | — | isRequired: boolean. |
numberOfCompletions | integer | No | — | numberOfCompletions: integer. |
pastCompletionDates | string | No | — | pastCompletionDates: string. |
personId | string | Yes | — | personId: string. |
progress | integer | No | — | progress: integer. |
renewalDate | string | No | — | renewalDate: string. |
result | string | No | — | result: string. |
score | integer | No | — | score: integer. |
startDate | string | No | — | startDate: string. |
status | string | Yes | — | status: string. |
tenantId | string | Yes | — | tenantId: string. |
timeSpent | integer | No | — | timeSpent: integer. |
timeToComplete | object | No | — | timeToComplete: object. |
withdrawnDateTime | string | No | — | withdrawnDateTime: string. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "Unique identifier for this request. Use to trace the request end-to-end."
},
"X-Partner-Id": {
"type": "string",
"description": "Partner identifier provided by UKG."
},
"global-tenant-id": {
"type": "string",
"description": "Global tenant identifier for multi-tenant operations."
},
"companyId": {
"type": "string",
"description": "companyId: string."
},
"completionDateTime": {
"type": "string",
"description": "completionDateTime: string."
},
"courseId": {
"type": "string",
"description": "courseId: string."
},
"courseSessionId": {
"type": "string",
"description": "courseSessionId: string."
},
"dueDate": {
"type": "string",
"description": "dueDate: string."
},
"dueDateStatus": {
"type": "string",
"description": "dueDateStatus: string.",
"enum": [
"ONTIME",
"OVERDUE"
]
},
"endDate": {
"type": "string",
"description": "endDate: string."
},
"extensionData": {
"type": "object",
"description": "Arbitrary JSON value container for extension data."
},
"externalId": {
"type": "string",
"description": "externalId: string."
},
"isRequired": {
"type": "boolean",
"description": "isRequired: boolean."
},
"numberOfCompletions": {
"type": "integer",
"description": "numberOfCompletions: integer."
},
"pastCompletionDates": {
"type": "string",
"description": "pastCompletionDates: string."
},
"personId": {
"type": "string",
"description": "personId: string."
},
"progress": {
"type": "integer",
"description": "progress: integer."
},
"renewalDate": {
"type": "string",
"description": "renewalDate: string."
},
"result": {
"type": "string",
"description": "result: string.",
"enum": [
"PASSED",
"FAILED"
]
},
"score": {
"type": "integer",
"description": "score: integer."
},
"startDate": {
"type": "string",
"description": "startDate: string."
},
"status": {
"type": "string",
"description": "status: string.",
"enum": [
"A",
"C",
"I"
]
},
"tenantId": {
"type": "string",
"description": "tenantId: string."
},
"timeSpent": {
"type": "integer",
"description": "timeSpent: integer."
},
"timeToComplete": {
"type": "object",
"description": "timeToComplete: object.",
"properties": {
"seconds": {
"type": "integer",
"description": "The seconds value"
},
"zero": {
"type": "boolean",
"description": "The zero value"
},
"nano": {
"type": "integer",
"description": "The nano value"
},
"negative": {
"type": "boolean",
"description": "The negative value"
},
"positive": {
"type": "boolean",
"description": "The positive value"
},
"units": {
"type": "array",
"items": {
"type": "object"
},
"description": "The units value"
}
}
},
"withdrawnDateTime": {
"type": "string",
"description": "withdrawnDateTime: string."
}
},
"required": [
"PCID",
"X-Correlation-Id",
"X-Partner-Id",
"global-tenant-id",
"completionDateTime",
"courseId",
"courseSessionId",
"dueDate",
"externalId",
"personId",
"status",
"tenantId"
]
}
ukg-configuration_create_course_participants
Create multiple course participants Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | Unique identifier for this request. Use to trace the request end-to-end. |
X-Partner-Id | string | Yes | — | Partner identifier provided by UKG. |
global-tenant-id | string | Yes | — | Global tenant identifier for multi-tenant operations. |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "Unique identifier for this request. Use to trace the request end-to-end."
},
"X-Partner-Id": {
"type": "string",
"description": "Partner identifier provided by UKG."
},
"global-tenant-id": {
"type": "string",
"description": "Global tenant identifier for multi-tenant operations."
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"tenantId": {
"type": "string",
"format": "uuid",
"description": "tenantId: string."
},
"personId": {
"type": "string",
"format": "uuid",
"description": "personId: string."
},
"courseId": {
"type": "string",
"format": "uuid",
"description": "courseId: string."
},
"courseSessionId": {
"type": "string",
"format": "uuid",
"description": "courseSessionId: string."
},
"externalId": {
"type": "string",
"description": "externalId: string."
},
"companyId": {
"type": "string",
"description": "companyId: string."
},
"status": {
"type": "string",
"enum": [
"A",
"C",
"I"
],
"description": "status: string."
},
"result": {
"type": "string",
"enum": [
"PASSED",
"FAILED"
],
"description": "result: string."
},
"progress": {
"type": "integer",
"format": "int32",
"description": "progress: integer."
},
"score": {
"type": "integer",
"format": "int32",
"description": "score: integer."
},
"isRequired": {
"type": "boolean",
"description": "isRequired: boolean."
},
"pastCompletionDates": {
"type": "string",
"description": "pastCompletionDates: string."
},
"numberOfCompletions": {
"type": "integer",
"format": "int32",
"description": "numberOfCompletions: integer."
},
"startDate": {
"type": "string",
"format": "date-time",
"description": "startDate: string."
},
"endDate": {
"type": "string",
"format": "date-time",
"description": "endDate: string."
},
"withdrawnDateTime": {
"type": "string",
"format": "date-time",
"description": "withdrawnDateTime: string."
},
"dueDate": {
"type": "string",
"format": "date-time",
"description": "dueDate: string."
},
"dueDateStatus": {
"type": "string",
"enum": [
"ONTIME",
"OVERDUE"
],
"description": "dueDateStatus: string."
},
"timeSpent": {
"type": "integer",
"format": "int32",
"description": "timeSpent: integer."
},
"timeToComplete": {
"type": "object",
"description": "timeToComplete: object."
},
"completionDateTime": {
"type": "string",
"format": "date-time",
"description": "completionDateTime: string."
},
"renewalDate": {
"type": "string",
"format": "date-time",
"description": "renewalDate: string."
},
"extensionData": {
"type": "object",
"description": "Arbitrary JSON value container for extension data."
}
},
"required": [
"completionDateTime",
"courseId",
"courseSessionId",
"dueDate",
"externalId",
"personId",
"status",
"tenantId"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"X-Correlation-Id",
"X-Partner-Id",
"global-tenant-id",
"body"
]
}
ukg-configuration_create_course_session
Create a new course session Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | Unique identifier for this request. Use to trace the request end-to-end. |
X-Partner-Id | string | Yes | — | Partner identifier provided by UKG. |
global-tenant-id | string | Yes | — | Global tenant identifier for multi-tenant operations. |
applicationId | integer | No | — | applicationId: integer. |
cost | number | No | — | cost: number. |
courseId | string | Yes | — | courseId: string. |
duration | object | No | — | duration: object. |
endDate | string | No | — | endDate: string. |
extensionData | object | No | — | Arbitrary JSON value container for extension data. |
facilityDescription | string | No | — | facilityDescription: string. |
instructorName | string | No | — | instructorName: string. |
maxNumberOfParticipants | integer | No | — | maxNumberOfParticipants: integer. |
minNumberOfParticipants | integer | No | — | minNumberOfParticipants: integer. |
notes | string | No | — | notes: string. |
numberOfParticipants | integer | No | — | numberOfParticipants: integer. |
providerCode | string | No | — | providerCode: string. |
startDate | string | No | — | startDate: string. |
status | string | No | — | status: string. |
tenantId | string | Yes | — | tenantId: string. |
vendorCode | string | No | — | vendorCode: string. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "Unique identifier for this request. Use to trace the request end-to-end."
},
"X-Partner-Id": {
"type": "string",
"description": "Partner identifier provided by UKG."
},
"global-tenant-id": {
"type": "string",
"description": "Global tenant identifier for multi-tenant operations."
},
"applicationId": {
"type": "integer",
"description": "applicationId: integer."
},
"cost": {
"type": "number",
"description": "cost: number."
},
"courseId": {
"type": "string",
"description": "courseId: string."
},
"duration": {
"type": "object",
"description": "duration: object.",
"properties": {
"seconds": {
"type": "integer",
"description": "The seconds value"
},
"zero": {
"type": "boolean",
"description": "The zero value"
},
"nano": {
"type": "integer",
"description": "The nano value"
},
"negative": {
"type": "boolean",
"description": "The negative value"
},
"positive": {
"type": "boolean",
"description": "The positive value"
},
"units": {
"type": "array",
"items": {
"type": "object"
},
"description": "The units value"
}
}
},
"endDate": {
"type": "string",
"description": "endDate: string."
},
"extensionData": {
"type": "object",
"description": "Arbitrary JSON value container for extension data."
},
"facilityDescription": {
"type": "string",
"description": "facilityDescription: string."
},
"instructorName": {
"type": "string",
"description": "instructorName: string."
},
"maxNumberOfParticipants": {
"type": "integer",
"description": "maxNumberOfParticipants: integer."
},
"minNumberOfParticipants": {
"type": "integer",
"description": "minNumberOfParticipants: integer."
},
"notes": {
"type": "string",
"description": "notes: string."
},
"numberOfParticipants": {
"type": "integer",
"description": "numberOfParticipants: integer."
},
"providerCode": {
"type": "string",
"description": "providerCode: string."
},
"startDate": {
"type": "string",
"description": "startDate: string."
},
"status": {
"type": "string",
"description": "status: string.",
"enum": [
"OPEN",
"CLOSED"
]
},
"tenantId": {
"type": "string",
"description": "tenantId: string."
},
"vendorCode": {
"type": "string",
"description": "vendorCode: string."
}
},
"required": [
"PCID",
"X-Correlation-Id",
"X-Partner-Id",
"global-tenant-id",
"courseId",
"tenantId"
]
}
ukg-configuration_create_course_sessions
Create multiple course sessions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | Unique identifier for this request. Use to trace the request end-to-end. |
X-Partner-Id | string | Yes | — | Partner identifier provided by UKG. |
global-tenant-id | string | Yes | — | Global tenant identifier for multi-tenant operations. |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "Unique identifier for this request. Use to trace the request end-to-end."
},
"X-Partner-Id": {
"type": "string",
"description": "Partner identifier provided by UKG."
},
"global-tenant-id": {
"type": "string",
"description": "Global tenant identifier for multi-tenant operations."
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"courseId": {
"type": "string",
"format": "uuid",
"description": "courseId: string."
},
"tenantId": {
"type": "string",
"format": "uuid",
"description": "tenantId: string."
},
"status": {
"type": "string",
"enum": [
"OPEN",
"CLOSED"
],
"description": "status: string."
},
"startDate": {
"type": "string",
"format": "date-time",
"description": "startDate: string."
},
"endDate": {
"type": "string",
"format": "date-time",
"description": "endDate: string."
},
"duration": {
"type": "object",
"description": "duration: object."
},
"cost": {
"type": "number",
"description": "cost: number."
},
"maxNumberOfParticipants": {
"type": "integer",
"format": "int32",
"description": "maxNumberOfParticipants: integer."
},
"minNumberOfParticipants": {
"type": "integer",
"format": "int32",
"description": "minNumberOfParticipants: integer."
},
"numberOfParticipants": {
"type": "integer",
"format": "int32",
"description": "numberOfParticipants: integer."
},
"instructorName": {
"type": "string",
"description": "instructorName: string."
},
"facilityDescription": {
"type": "string",
"description": "facilityDescription: string."
},
"providerCode": {
"type": "string",
"description": "providerCode: string."
},
"vendorCode": {
"type": "string",
"description": "vendorCode: string."
},
"applicationId": {
"type": "integer",
"format": "int32",
"description": "applicationId: integer."
},
"notes": {
"type": "string",
"description": "notes: string."
},
"extensionData": {
"type": "object",
"description": "Arbitrary JSON value container for extension data."
}
},
"required": [
"courseId",
"tenantId"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"X-Correlation-Id",
"X-Partner-Id",
"global-tenant-id",
"body"
]
}
ukg-configuration_create_courses
Create multiple courses Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | Unique identifier for this request. Use to trace the request end-to-end. |
X-Partner-Id | string | Yes | — | Partner identifier provided by UKG. |
global-tenant-id | string | Yes | — | Global tenant identifier for multi-tenant operations. |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "Unique identifier for this request. Use to trace the request end-to-end."
},
"X-Partner-Id": {
"type": "string",
"description": "Partner identifier provided by UKG."
},
"global-tenant-id": {
"type": "string",
"description": "Global tenant identifier for multi-tenant operations."
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"tenantId": {
"type": "string",
"format": "uuid",
"description": "tenantId: string."
},
"title": {
"type": "string",
"description": "title: string."
},
"description": {
"type": "string",
"description": "description: string."
},
"courseNotes": {
"type": "string",
"description": "courseNotes: string."
},
"externalLmsId": {
"type": "string",
"format": "uuid",
"description": "externalLmsId: string."
},
"externalCourseId": {
"type": "string",
"description": "externalCourseId: string."
},
"author": {
"type": "string",
"description": "author: string."
},
"coAuthors": {
"type": "string",
"description": "coAuthors: string."
},
"status": {
"type": "string",
"enum": [
"A",
"C",
"D"
],
"description": "status: string."
},
"duration": {
"type": "object",
"description": "duration: object."
},
"skillSetId": {
"type": "string",
"format": "uuid",
"description": "skillSetId: string."
},
"averageTimeSpent": {
"type": "integer",
"format": "int32",
"description": "averageTimeSpent: integer."
},
"totalTimeSpent": {
"type": "integer",
"format": "int32",
"description": "totalTimeSpent: integer."
},
"averageExamsScore": {
"type": "integer",
"format": "int32",
"description": "averageExamsScore: integer."
},
"lmsCreatedDate": {
"type": "string",
"format": "date-time",
"description": "lmsCreatedDate: string."
},
"lmsModifiedDate": {
"type": "string",
"format": "date-time",
"description": "lmsModifiedDate: string."
},
"renewalDate": {
"type": "string",
"format": "date-time",
"description": "renewalDate: string."
},
"url": {
"type": "string",
"description": "url: string."
},
"categoryCode": {
"type": "string",
"description": "categoryCode: string."
},
"subCategoryCode": {
"type": "string",
"description": "subCategoryCode: string."
},
"creditType": {
"type": "string",
"enum": [
"CEU",
"MINUTES",
"HOURS"
],
"description": "creditType: string."
},
"creditValue": {
"type": "number",
"description": "creditValue: number."
},
"cost": {
"type": "number",
"description": "cost: number."
},
"totalParticipantsCount": {
"type": "integer",
"format": "int32",
"description": "totalParticipantsCount: integer."
},
"maxNumberOfParticipants": {
"type": "integer",
"format": "int32",
"description": "maxNumberOfParticipants: integer."
},
"minNumberOfParticipants": {
"type": "integer",
"format": "int32",
"description": "minNumberOfParticipants: integer."
},
"maxWaitListSize": {
"type": "integer",
"format": "int32",
"description": "maxWaitListSize: integer."
},
"isApprovalRequired": {
"type": "boolean",
"description": "isApprovalRequired: boolean."
},
"isAuditingAllowed": {
"type": "boolean",
"description": "isAuditingAllowed: boolean."
},
"isResultRequired": {
"type": "boolean",
"description": "isResultRequired: boolean."
},
"isActive": {
"type": "boolean",
"description": "isActive: boolean."
},
"isVisible": {
"type": "boolean",
"description": "isVisible: boolean."
},
"licenseOrCertCode": {
"type": "string",
"description": "licenseOrCertCode: string."
},
"empDevPlanId": {
"type": "integer",
"format": "int32",
"description": "empDevPlanId: integer."
},
"defaultLocaleCode": {
"type": "string",
"description": "defaultLocaleCode: string."
},
"isMicroLearning": {
"type": "boolean",
"description": "isMicroLearning: boolean."
},
"extensionData": {
"type": "object",
"description": "Arbitrary JSON value container for extension data."
},
"translations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"localeCode": {
"type": "string",
"description": "Locale code (e.g., en-US)."
},
"title": {
"type": "string",
"description": "Localized course title."
},
"description": {
"type": "string",
"description": "Localized course description."
}
}
},
"description": "translations: array."
},
"rating": {
"type": "object",
"description": "Course rating information supplied for a course."
},
"deliveryMethodCode": {
"type": "string",
"description": "deliveryMethodCode: string."
},
"vendorCode": {
"type": "string",
"description": "vendorCode: string."
},
"tags": {
"type": "array",
"items": {
"type": "object",
"properties": {
"tagType": {
"type": "string",
"description": "Tag type or category identifier."
},
"courseLevel": {
"type": "string",
"description": "Course level classification."
},
"courseType": {
"type": "string",
"description": "Course type label."
},
"courseCode": {
"type": "string",
"description": "Course code used by the LMS."
},
"deliveredByType": {
"type": "string",
"description": "Delivery ownership/type information."
},
"earnCode": {
"type": "string",
"description": "Earn code associated to the course."
},
"licenseCode": {
"type": "string",
"description": "License code associated to the course."
},
"providerCode": {
"type": "string",
"description": "Provider identifier."
},
"isAvailableToNewHiresInOnboarding": {
"type": "boolean",
"description": "Indicates if this course is available to new hires during onboarding."
},
"extensionData": {
"type": "object",
"description": "Arbitrary JSON value container for extension data."
}
}
},
"description": "Tags applied to the course."
}
},
"required": [
"description",
"externalLmsId",
"skillSetId",
"status",
"tenantId",
"title"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"X-Correlation-Id",
"X-Partner-Id",
"global-tenant-id",
"body"
]
}
ukg-configuration_delete_course
Delete a course Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | Unique identifier for this request. Use to trace the request end-to-end. |
X-Partner-Id | string | Yes | — | Partner identifier provided by UKG. |
global-tenant-id | string | Yes | — | Global tenant identifier for multi-tenant operations. |
id | string | Yes | — | Course ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "Unique identifier for this request. Use to trace the request end-to-end."
},
"X-Partner-Id": {
"type": "string",
"description": "Partner identifier provided by UKG."
},
"global-tenant-id": {
"type": "string",
"description": "Global tenant identifier for multi-tenant operations."
},
"id": {
"type": "string",
"description": "Course ID"
}
},
"required": [
"PCID",
"X-Correlation-Id",
"X-Partner-Id",
"global-tenant-id",
"id"
]
}
ukg-configuration_delete_course_participant
Delete a course participant Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | Unique identifier for this request. Use to trace the request end-to-end. |
X-Partner-Id | string | Yes | — | Partner identifier provided by UKG. |
global-tenant-id | string | Yes | — | Global tenant identifier for multi-tenant operations. |
id | string | Yes | — | Course Participant ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "Unique identifier for this request. Use to trace the request end-to-end."
},
"X-Partner-Id": {
"type": "string",
"description": "Partner identifier provided by UKG."
},
"global-tenant-id": {
"type": "string",
"description": "Global tenant identifier for multi-tenant operations."
},
"id": {
"type": "string",
"description": "Course Participant ID"
}
},
"required": [
"PCID",
"X-Correlation-Id",
"X-Partner-Id",
"global-tenant-id",
"id"
]
}
ukg-configuration_delete_course_participants
Delete multiple course participants Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | Unique identifier for this request. Use to trace the request end-to-end. |
X-Partner-Id | string | Yes | — | Partner identifier provided by UKG. |
global-tenant-id | string | Yes | — | Global tenant identifier for multi-tenant operations. |
body | string[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "Unique identifier for this request. Use to trace the request end-to-end."
},
"X-Partner-Id": {
"type": "string",
"description": "Partner identifier provided by UKG."
},
"global-tenant-id": {
"type": "string",
"description": "Global tenant identifier for multi-tenant operations."
},
"body": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Request body"
}
},
"required": [
"PCID",
"X-Correlation-Id",
"X-Partner-Id",
"global-tenant-id",
"body"
]
}
ukg-configuration_delete_course_session
Delete a course session Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | Unique identifier for this request. Use to trace the request end-to-end. |
X-Partner-Id | string | Yes | — | Partner identifier provided by UKG. |
global-tenant-id | string | Yes | — | Global tenant identifier for multi-tenant operations. |
id | string | Yes | — | Course Session ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "Unique identifier for this request. Use to trace the request end-to-end."
},
"X-Partner-Id": {
"type": "string",
"description": "Partner identifier provided by UKG."
},
"global-tenant-id": {
"type": "string",
"description": "Global tenant identifier for multi-tenant operations."
},
"id": {
"type": "string",
"description": "Course Session ID"
}
},
"required": [
"PCID",
"X-Correlation-Id",
"X-Partner-Id",
"global-tenant-id",
"id"
]
}
ukg-configuration_delete_course_sessions
Delete multiple course sessions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | Unique identifier for this request. Use to trace the request end-to-end. |
X-Partner-Id | string | Yes | — | Partner identifier provided by UKG. |
global-tenant-id | string | Yes | — | Global tenant identifier for multi-tenant operations. |
body | string[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "Unique identifier for this request. Use to trace the request end-to-end."
},
"X-Partner-Id": {
"type": "string",
"description": "Partner identifier provided by UKG."
},
"global-tenant-id": {
"type": "string",
"description": "Global tenant identifier for multi-tenant operations."
},
"body": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Request body"
}
},
"required": [
"PCID",
"X-Correlation-Id",
"X-Partner-Id",
"global-tenant-id",
"body"
]
}
ukg-configuration_delete_courses
Delete multiple courses Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | Unique identifier for this request. Use to trace the request end-to-end. |
X-Partner-Id | string | Yes | — | Partner identifier provided by UKG. |
global-tenant-id | string | Yes | — | Global tenant identifier for multi-tenant operations. |
body | string[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "Unique identifier for this request. Use to trace the request end-to-end."
},
"X-Partner-Id": {
"type": "string",
"description": "Partner identifier provided by UKG."
},
"global-tenant-id": {
"type": "string",
"description": "Global tenant identifier for multi-tenant operations."
},
"body": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Request body"
}
},
"required": [
"PCID",
"X-Correlation-Id",
"X-Partner-Id",
"global-tenant-id",
"body"
]
}
ukg-configuration_get_v1_earnings
Get a list of all earnings configurations Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
calculationRule | string | No | — | Calculation Rule |
taxCategory | string | No | — | Tax Category |
useDeductionOffset | string | No | — | Use Deduction Offset |
countryCode | string | No | — | Country Code |
includeInShiftDiffrential | string | No | — | Include In Shift Diffrential |
includeInManualCheck | string | No | — | Include In Manual Check |
earningCode | string | No | — | Earning Code |
includeInAccruals | string | No | — | Include In Accruals |
includeInDeferredCompensation | boolean | No | — | Include In Deferred Compensation |
includeInDeferredCompensationHours | boolean | No | — | Include In Deferred Compensation Hours |
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"calculationRule": {
"type": "string",
"description": "Calculation Rule"
},
"taxCategory": {
"type": "string",
"description": "Tax Category"
},
"useDeductionOffset": {
"type": "string",
"description": "Use Deduction Offset"
},
"countryCode": {
"type": "string",
"description": "Country Code"
},
"includeInShiftDiffrential": {
"type": "string",
"description": "Include In Shift Diffrential"
},
"includeInManualCheck": {
"type": "string",
"description": "Include In Manual Check"
},
"earningCode": {
"type": "string",
"description": "Earning Code"
},
"includeInAccruals": {
"type": "string",
"description": "Include In Accruals"
},
"includeInDeferredCompensation": {
"type": "boolean",
"description": "Include In Deferred Compensation"
},
"includeInDeferredCompensationHours": {
"type": "boolean",
"description": "Include In Deferred Compensation Hours"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID"
]
}
ukg-configuration_get_v1_earnings_calculation_rule_tax_category_use_deduction_offset_country_code_include_in_shift_diffrential_include_in_manual_check
Get list of earnings configurations filtered by Parameter including pagination params Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
calculationRule | string | Yes | — | Calculation Rule |
taxCategory | string | Yes | — | Tax Category |
useDeductionOffset | string | Yes | — | Use Deduction Offset |
countryCode | string | Yes | — | Country Code |
includeInShiftDiffrential | string | Yes | — | Include In Shift Diffrential |
includeInManualCheck | string | Yes | — | Include In Manual Check |
earningCode | string | No | — | Earning Code |
includeInAccruals | string | No | — | Include In Accruals |
includeInDeferredCompensation | boolean | No | — | Include In Deferred Compensation |
includeInDeferredCompensationHours | boolean | No | — | Include In Deferred Compensation Hours |
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"calculationRule": {
"type": "string",
"description": "Calculation Rule"
},
"taxCategory": {
"type": "string",
"description": "Tax Category"
},
"useDeductionOffset": {
"type": "string",
"description": "Use Deduction Offset"
},
"countryCode": {
"type": "string",
"description": "Country Code"
},
"includeInShiftDiffrential": {
"type": "string",
"description": "Include In Shift Diffrential"
},
"includeInManualCheck": {
"type": "string",
"description": "Include In Manual Check"
},
"earningCode": {
"type": "string",
"description": "Earning Code"
},
"includeInAccruals": {
"type": "string",
"description": "Include In Accruals"
},
"includeInDeferredCompensation": {
"type": "boolean",
"description": "Include In Deferred Compensation"
},
"includeInDeferredCompensationHours": {
"type": "boolean",
"description": "Include In Deferred Compensation Hours"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID",
"calculationRule",
"taxCategory",
"useDeductionOffset",
"countryCode",
"includeInShiftDiffrential",
"includeInManualCheck"
]
}
ukg-configuration_get_v1_earnings_earning_code
Get a specific earning configuration Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
earningCode | string | Yes | — | Earning Code |
calculationRule | string | No | — | Calculation Rule |
taxCategory | string | No | — | Tax Category |
useDeductionOffset | string | No | — | Use Deduction Offset |
countryCode | string | No | — | Country Code |
includeInShiftDiffrential | string | No | — | Include In Shift Diffrential |
includeInManualCheck | string | No | — | Include In Manual Check |
includeInAccruals | string | No | — | Include In Accruals |
includeInDeferredCompensation | boolean | No | — | Include In Deferred Compensation |
includeInDeferredCompensationHours | boolean | No | — | Include In Deferred Compensation Hours |
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"earningCode": {
"type": "string",
"description": "Earning Code"
},
"calculationRule": {
"type": "string",
"description": "Calculation Rule"
},
"taxCategory": {
"type": "string",
"description": "Tax Category"
},
"useDeductionOffset": {
"type": "string",
"description": "Use Deduction Offset"
},
"countryCode": {
"type": "string",
"description": "Country Code"
},
"includeInShiftDiffrential": {
"type": "string",
"description": "Include In Shift Diffrential"
},
"includeInManualCheck": {
"type": "string",
"description": "Include In Manual Check"
},
"includeInAccruals": {
"type": "string",
"description": "Include In Accruals"
},
"includeInDeferredCompensation": {
"type": "boolean",
"description": "Include In Deferred Compensation"
},
"includeInDeferredCompensationHours": {
"type": "boolean",
"description": "Include In Deferred Compensation Hours"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID",
"earningCode"
]
}
ukg-configuration_get_v1_option_rate
Get Option Rate Data Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
deductionCode | string | No | — | Deduction Code |
benefitOption | string | No | — | Benefit Option |
effectiveDate | string | No | — | Effective Date |
payFrequency | string | No | — | Pay Frequency |
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"deductionCode": {
"type": "string",
"description": "Deduction Code"
},
"benefitOption": {
"type": "string",
"description": "Benefit Option"
},
"effectiveDate": {
"type": "string",
"description": "Effective Date"
},
"payFrequency": {
"type": "string",
"description": "Pay Frequency"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID"
]
}
ukg-configuration_get_v1_organization_reporting_category
Get Organization Reporting Category Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID"
]
}
ukg-configuration_get_v1_positions
Returns list of employee position information filtered on various parameters Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
companyId | string | No | — | Company Id |
employeeType | string | No | — | Employee Type |
statusCode | string | No | — | Status Code |
payGroupCode | string | No | — | Pay Group Code |
positionCode | string | No | — | Position Code |
projectCode | string | No | — | Project Code |
shiftGroupCode | string | No | — | Shift Group Code |
isProrated | boolean | No | — | Is Prorated |
isApproved | boolean | No | — | Is Approved |
isEligibleForBenefits | boolean | No | — | Is Eligible For Benefits |
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"companyId": {
"type": "string",
"description": "Company Id"
},
"employeeType": {
"type": "string",
"description": "Employee Type"
},
"statusCode": {
"type": "string",
"description": "Status Code"
},
"payGroupCode": {
"type": "string",
"description": "Pay Group Code"
},
"positionCode": {
"type": "string",
"description": "Position Code"
},
"projectCode": {
"type": "string",
"description": "Project Code"
},
"shiftGroupCode": {
"type": "string",
"description": "Shift Group Code"
},
"isProrated": {
"type": "boolean",
"description": "Is Prorated"
},
"isApproved": {
"type": "boolean",
"description": "Is Approved"
},
"isEligibleForBenefits": {
"type": "boolean",
"description": "Is Eligible For Benefits"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID"
]
}
ukg-configuration_get_v1_roles
Gets Roles from security roles table Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
rolName | string | No | — | Rol Name |
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"rolName": {
"type": "string",
"description": "Rol Name"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID"
]
}
ukg-configuration_get_v1_shift_codes
Shift Codes API Data Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID"
]
}
ukg-configuration_get_v1_tax_groups
Get all tax group details Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
taxCalcGroupIdCode | string | No | — | Tax Calc Group Id Code |
taxGroupIsInactive | string | No | — | Tax Group Is Inactive |
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"taxCalcGroupIdCode": {
"type": "string",
"description": "Tax Calc Group Id Code"
},
"taxGroupIsInactive": {
"type": "string",
"description": "Tax Group Is Inactive"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID"
]
}
ukg-configuration_getjobs
Retrieve Job Configuration Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | Job code. |
page | integer | No | — | Default is 1 if not set. |
per_page | integer | No | — | Default is 100 if not set. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "Job code."
},
"page": {
"type": "integer",
"description": "Default is 1 if not set."
},
"per_page": {
"type": "integer",
"description": "Default is 100 if not set."
}
},
"required": [
"PCID",
"code"
]
}
ukg-configuration_getjobs_list
Retrieve All Job Configurations Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Default is 1 if not set. |
per_page | integer | No | — | Default is 100 if not set. |
isActive | boolean | No | — | Indicates if the job is active. |
countryCode | string | No | — | The country code associated with the job. |
jobCode | string | No | — | The unique identifier for the job. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Default is 1 if not set."
},
"per_page": {
"type": "integer",
"description": "Default is 100 if not set."
},
"isActive": {
"type": "boolean",
"description": "Indicates if the job is active."
},
"countryCode": {
"type": "string",
"description": "The country code associated with the job."
},
"jobCode": {
"type": "string",
"description": "The unique identifier for the job."
}
},
"required": [
"PCID"
]
}
ukg-configuration_getjobs_list_v1
Retrieve All Job Configurations - V1 Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
countryCode | string | No | — | Job country code. |
isActive | boolean | No | — | Active status. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"countryCode": {
"type": "string",
"description": "Job country code."
},
"isActive": {
"type": "boolean",
"description": "Active status."
}
},
"required": [
"PCID"
]
}
ukg-configuration_getjobs_v1
Retrieve Job Configuration - V1 Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | Job code. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "Job code."
}
},
"required": [
"PCID",
"code"
]
}
ukg-configuration_getlocations
Retrieve a single location configuration Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | location code. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "location code."
}
},
"required": [
"PCID",
"code"
]
}
ukg-configuration_getlocations_list
Retrieve all locations configurations Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
countryCode | string | No | — | location country code. |
isActive | boolean | No | — | Active status. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"countryCode": {
"type": "string",
"description": "location country code."
},
"isActive": {
"type": "boolean",
"description": "Active status."
}
},
"required": [
"PCID"
]
}
ukg-configuration_getorg_levels
Get single org-level Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
level | string | Yes | — | Description of the org-level. |
code | string | Yes | — | Organization code. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"level": {
"type": "string",
"description": "Description of the org-level."
},
"code": {
"type": "string",
"description": "Organization code."
}
},
"required": [
"PCID",
"level",
"code"
]
}
ukg-configuration_getorg_levels_list
Get all org-levels Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
levelDescription | string | No | — | Description of the org-level. |
code | string | No | — | Organization code. |
budgetGroup | string | No | — | Organizational budget group. |
reportingCategory | string | No | — | Reporting category. |
isActive | boolean | No | — | Active status. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"levelDescription": {
"type": "string",
"description": "Description of the org-level."
},
"code": {
"type": "string",
"description": "Organization code."
},
"budgetGroup": {
"type": "string",
"description": "Organizational budget group."
},
"reportingCategory": {
"type": "string",
"description": "Reporting category."
},
"isActive": {
"type": "boolean",
"description": "Active status."
}
},
"required": [
"PCID"
]
}
ukg-configuration_ins_rate_get_ins_rate
Get Insurance Rate Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
deductionCode | string | No | — | Deduction Code |
effectiveDate | string | No | — | Effective Date |
payFrequency | string | No | — | Pay Frequency |
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"deductionCode": {
"type": "string",
"description": "Deduction Code"
},
"effectiveDate": {
"type": "string",
"description": "Effective Date"
},
"payFrequency": {
"type": "string",
"description": "Pay Frequency"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID"
]
}
ukg-configuration_job_group_get
Get All Job Groups Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
jobGroupCode | string | No | — | Job Group Code |
jobGroupCountryCode | string | No | — | Job Group Country Code |
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"jobGroupCode": {
"type": "string",
"description": "Job Group Code"
},
"jobGroupCountryCode": {
"type": "string",
"description": "Job Group Country Code"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID"
]
}
ukg-configuration_patchorg_levels
Patch one org-level Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
level | string | Yes | — | Description of the org-level. |
code | string | Yes | — | Organization code. |
budgetGroup | string | No | — | Organizational budget group. |
currentYearBudgetFTE | number | No | — | Current year to date budget for full time employee. |
currentYearBudgetSalary | number | No | — | Current year to date budget for salary. |
description | string | Yes | — | Organization Level Description. |
glSegment | string | No | — | General Ledger Segment. Alpha-numeric and special characters allowed. |
isActive | boolean | No | — | The organization level status. |
lastYearBudgetFTE | number | No | — | Last year Budget for full time employee. |
lastYearBudgetSalary | number | No | — | Last year Budget salary. |
levelDescription | string | No | — | Organization description. Cannot be updated. |
reportingCategory | string | No | — | The reporting category code. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"level": {
"type": "string",
"description": "Description of the org-level."
},
"code": {
"type": "string",
"description": "Organization code."
},
"budgetGroup": {
"type": "string",
"description": "Organizational budget group."
},
"currentYearBudgetFTE": {
"type": "number",
"description": "Current year to date budget for full time employee."
},
"currentYearBudgetSalary": {
"type": "number",
"description": "Current year to date budget for salary."
},
"description": {
"type": "string",
"description": "Organization Level Description."
},
"glSegment": {
"type": "string",
"description": "General Ledger Segment. Alpha-numeric and special characters allowed."
},
"isActive": {
"type": "boolean",
"description": "The organization level status."
},
"lastYearBudgetFTE": {
"type": "number",
"description": "Last year Budget for full time employee."
},
"lastYearBudgetSalary": {
"type": "number",
"description": "Last year Budget salary."
},
"levelDescription": {
"type": "string",
"description": "Organization description. Cannot be updated."
},
"reportingCategory": {
"type": "string",
"description": "The reporting category code."
}
},
"required": [
"PCID",
"level",
"code",
"description"
]
}
ukg-configuration_pc_schema_get_fields_schema
Gets Platform Configuration standard classes custom fields schema Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
className | string | No | — | Class Name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"className": {
"type": "string",
"description": "Class Name"
}
},
"required": [
"PCID"
]
}
ukg-configuration_postorg_levels
Create org-level configuration Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | Yes | — | The org-level to be written. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"budgetGroup": {
"type": "string",
"description": "Organizational budget group."
},
"code": {
"type": "string",
"description": "Organization Code, one half of the unique identifier."
},
"currentYearBudgetFTE": {
"type": "number",
"format": "double",
"description": "Current year to date budget for full time employee."
},
"currentYearBudgetSalary": {
"type": "number",
"format": "double",
"description": "Current year to date budget for salary."
},
"description": {
"type": "string",
"description": "Organization Level Description."
},
"glSegment": {
"type": "string",
"description": "General Ledger Segment. Alpha-numeric and special characters allowed."
},
"lastYearBudgetFTE": {
"type": "number",
"description": "Last year Budget for full time employee."
},
"lastYearBudgetSalary": {
"type": "number",
"description": "Last year Budget salary."
},
"level": {
"type": "number",
"description": "Organazation Level, one half of unique identifier. Cannot be updated."
},
"levelDescription": {
"type": "string",
"description": "Organization description. Cannot be updated."
},
"reportingCategory": {
"type": "string",
"description": "The reporting category code."
},
"isActive": {
"type": "boolean",
"description": "The organization level status."
}
},
"required": [
"code",
"description",
"level"
]
},
"description": "The org-level to be written."
}
},
"required": [
"PCID",
"body"
]
}
ukg-configuration_put_allergy
Update a single allergy configuration Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | Project code. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "Project code."
}
},
"required": [
"PCID",
"code"
]
}
ukg-configuration_putorg_levels
Update one org-level Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
level | string | Yes | — | Description of the org-level. |
code | string | Yes | — | Organization code. |
budgetGroup | string | No | — | Organizational budget group. |
currentYearBudgetFTE | number | No | — | Current year to date budget for full time employee. |
currentYearBudgetSalary | number | No | — | Current year to date budget for salary. |
description | string | Yes | — | Organization Level Description. |
glSegment | string | No | — | General Ledger Segment. Alpha-numeric and special characters allowed. |
isActive | boolean | No | — | The organization level status. |
lastYearBudgetFTE | number | No | — | Last year Budget for full time employee. |
lastYearBudgetSalary | number | No | — | Last year Budget salary. |
levelDescription | string | No | — | Organization description. Cannot be updated. |
reportingCategory | string | No | — | The reporting category code. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"level": {
"type": "string",
"description": "Description of the org-level."
},
"code": {
"type": "string",
"description": "Organization code."
},
"budgetGroup": {
"type": "string",
"description": "Organizational budget group."
},
"currentYearBudgetFTE": {
"type": "number",
"description": "Current year to date budget for full time employee."
},
"currentYearBudgetSalary": {
"type": "number",
"description": "Current year to date budget for salary."
},
"description": {
"type": "string",
"description": "Organization Level Description."
},
"glSegment": {
"type": "string",
"description": "General Ledger Segment. Alpha-numeric and special characters allowed."
},
"isActive": {
"type": "boolean",
"description": "The organization level status."
},
"lastYearBudgetFTE": {
"type": "number",
"description": "Last year Budget for full time employee."
},
"lastYearBudgetSalary": {
"type": "number",
"description": "Last year Budget salary."
},
"levelDescription": {
"type": "string",
"description": "Organization description. Cannot be updated."
},
"reportingCategory": {
"type": "string",
"description": "The reporting category code."
}
},
"required": [
"PCID",
"level",
"code",
"description"
]
}
ukg-configuration_update_course
Update a course Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | Unique identifier for this request. Use to trace the request end-to-end. |
X-Partner-Id | string | Yes | — | Partner identifier provided by UKG. |
global-tenant-id | string | Yes | — | Global tenant identifier for multi-tenant operations. |
id | string | Yes | — | Course ID |
author | string | No | — | Field author for course update. |
averageExamsScore | integer | No | — | Field averageExamsScore for course update. |
averageTimeSpent | integer | No | — | Field averageTimeSpent for course update. |
categoryCode | string | No | — | Field categoryCode for course update. |
coAuthors | string | No | — | Field coAuthors for course update. |
cost | number | No | — | Field cost for course update. |
courseId | string | No | — | Field courseId for course update. |
courseNotes | string | No | — | Field courseNotes for course update. |
creditType | string | No | — | Field creditType for course update. |
creditValue | number | No | — | Field creditValue for course update. |
defaultLocaleCode | string | No | — | Field defaultLocaleCode for course update. |
deliveryMethodCode | string | No | — | Field deliveryMethodCode for course update. |
description | string | No | — | Field description for course update. |
duration | object | No | — | Field duration for course update. |
empDevPlanId | integer | No | — | Field empDevPlanId for course update. |
extensionData | object | No | — | Arbitrary JSON value container for extension data. |
externalCourseId | string | No | — | Field externalCourseId for course update. |
isActive | boolean | No | — | Field isActive for course update. |
isApprovalRequired | boolean | No | — | Field isApprovalRequired for course update. |
isAuditingAllowed | boolean | No | — | Field isAuditingAllowed for course update. |
isMicroLearning | boolean | No | — | Field isMicroLearning for course update. |
isResultRequired | boolean | No | — | Field isResultRequired for course update. |
isVisible | boolean | No | — | Field isVisible for course update. |
licenseOrCertCode | string | No | — | Field licenseOrCertCode for course update. |
lmsCreatedDate | string | No | — | Field lmsCreatedDate for course update. |
lmsModifiedDate | string | No | — | Field lmsModifiedDate for course update. |
maxNumberOfParticipants | integer | No | — | Field maxNumberOfParticipants for course update. |
maxWaitListSize | integer | No | — | Field maxWaitListSize for course update. |
minNumberOfParticipants | integer | No | — | Field minNumberOfParticipants for course update. |
rating | object | No | — | Course rating information supplied for a course. |
renewalDate | string | No | — | Field renewalDate for course update. |
skillSetId | string | No | — | Field skillSetId for course update. |
status | string | No | — | Field status for course update. |
subCategoryCode | string | No | — | Field subCategoryCode for course update. |
tags | object[] | No | — | Field tags for course update. |
title | string | No | — | Field title for course update. |
totalParticipantsCount | integer | No | — | Field totalParticipantsCount for course update. |
totalTimeSpent | integer | No | — | Field totalTimeSpent for course update. |
translations | object[] | No | — | Field translations for course update. |
url | string | No | — | Field url for course update. |
vendorCode | string | No | — | Field vendorCode for course update. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "Unique identifier for this request. Use to trace the request end-to-end."
},
"X-Partner-Id": {
"type": "string",
"description": "Partner identifier provided by UKG."
},
"global-tenant-id": {
"type": "string",
"description": "Global tenant identifier for multi-tenant operations."
},
"id": {
"type": "string",
"description": "Course ID"
},
"author": {
"type": "string",
"description": "Field `author` for course update."
},
"averageExamsScore": {
"type": "integer",
"description": "Field `averageExamsScore` for course update."
},
"averageTimeSpent": {
"type": "integer",
"description": "Field `averageTimeSpent` for course update."
},
"categoryCode": {
"type": "string",
"description": "Field `categoryCode` for course update."
},
"coAuthors": {
"type": "string",
"description": "Field `coAuthors` for course update."
},
"cost": {
"type": "number",
"description": "Field `cost` for course update."
},
"courseId": {
"type": "string",
"description": "Field `courseId` for course update."
},
"courseNotes": {
"type": "string",
"description": "Field `courseNotes` for course update."
},
"creditType": {
"type": "string",
"description": "Field `creditType` for course update.",
"enum": [
"CEU",
"MINUTES",
"HOURS"
]
},
"creditValue": {
"type": "number",
"description": "Field `creditValue` for course update."
},
"defaultLocaleCode": {
"type": "string",
"description": "Field `defaultLocaleCode` for course update."
},
"deliveryMethodCode": {
"type": "string",
"description": "Field `deliveryMethodCode` for course update."
},
"description": {
"type": "string",
"description": "Field `description` for course update."
},
"duration": {
"type": "object",
"description": "Field `duration` for course update.",
"properties": {
"seconds": {
"type": "integer",
"description": "The seconds value"
},
"zero": {
"type": "boolean",
"description": "The zero value"
},
"nano": {
"type": "integer",
"description": "The nano value"
},
"negative": {
"type": "boolean",
"description": "The negative value"
},
"positive": {
"type": "boolean",
"description": "The positive value"
},
"units": {
"type": "array",
"items": {
"type": "object"
},
"description": "The units value"
}
}
},
"empDevPlanId": {
"type": "integer",
"description": "Field `empDevPlanId` for course update."
},
"extensionData": {
"type": "object",
"description": "Arbitrary JSON value container for extension data."
},
"externalCourseId": {
"type": "string",
"description": "Field `externalCourseId` for course update."
},
"isActive": {
"type": "boolean",
"description": "Field `isActive` for course update."
},
"isApprovalRequired": {
"type": "boolean",
"description": "Field `isApprovalRequired` for course update."
},
"isAuditingAllowed": {
"type": "boolean",
"description": "Field `isAuditingAllowed` for course update."
},
"isMicroLearning": {
"type": "boolean",
"description": "Field `isMicroLearning` for course update."
},
"isResultRequired": {
"type": "boolean",
"description": "Field `isResultRequired` for course update."
},
"isVisible": {
"type": "boolean",
"description": "Field `isVisible` for course update."
},
"licenseOrCertCode": {
"type": "string",
"description": "Field `licenseOrCertCode` for course update."
},
"lmsCreatedDate": {
"type": "string",
"description": "Field `lmsCreatedDate` for course update."
},
"lmsModifiedDate": {
"type": "string",
"description": "Field `lmsModifiedDate` for course update."
},
"maxNumberOfParticipants": {
"type": "integer",
"description": "Field `maxNumberOfParticipants` for course update."
},
"maxWaitListSize": {
"type": "integer",
"description": "Field `maxWaitListSize` for course update."
},
"minNumberOfParticipants": {
"type": "integer",
"description": "Field `minNumberOfParticipants` for course update."
},
"rating": {
"type": "object",
"description": "Course rating information supplied for a course.",
"properties": {
"rating": {
"type": "number",
"description": "Average rating value."
},
"ratingCount": {
"type": "integer",
"description": "Number of ratings contributing to the average."
},
"effectiveStartDateTime": {
"type": "string",
"description": "Start timestamp when the rating is effective."
},
"effectiveEndDateTime": {
"type": "string",
"description": "End timestamp when the rating is effective."
},
"extensionData": {
"type": "object",
"description": "Arbitrary JSON value container for extension data."
}
},
"required": [
"rating",
"ratingCount"
]
},
"renewalDate": {
"type": "string",
"description": "Field `renewalDate` for course update."
},
"skillSetId": {
"type": "string",
"description": "Field `skillSetId` for course update."
},
"status": {
"type": "string",
"description": "Field `status` for course update.",
"enum": [
"A",
"C",
"D"
]
},
"subCategoryCode": {
"type": "string",
"description": "Field `subCategoryCode` for course update."
},
"tags": {
"type": "array",
"items": {
"type": "object",
"properties": {
"tagType": {
"type": "string",
"description": "Tag type or category identifier."
},
"courseLevel": {
"type": "string",
"enum": [
"INTRODUCTORY",
"INTERMEDIATE",
"ADVANCED"
],
"description": "Course level classification."
},
"courseType": {
"type": "string",
"description": "Course type label."
},
"courseCode": {
"type": "string",
"description": "Course code used by the LMS."
},
"deliveredByType": {
"type": "string",
"description": "Delivery ownership/type information."
},
"earnCode": {
"type": "string",
"description": "Earn code associated to the course."
},
"licenseCode": {
"type": "string",
"description": "License code associated to the course."
},
"providerCode": {
"type": "string",
"description": "Provider identifier."
},
"isAvailableToNewHiresInOnboarding": {
"type": "boolean",
"description": "Indicates if this course is available to new hires during onboarding."
},
"extensionData": {
"type": "object",
"description": "Arbitrary JSON value container for extension data."
}
}
},
"description": "Field `tags` for course update."
},
"title": {
"type": "string",
"description": "Field `title` for course update."
},
"totalParticipantsCount": {
"type": "integer",
"description": "Field `totalParticipantsCount` for course update."
},
"totalTimeSpent": {
"type": "integer",
"description": "Field `totalTimeSpent` for course update."
},
"translations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"localeCode": {
"type": "string",
"description": "Locale code (e.g., en-US)."
},
"title": {
"type": "string",
"description": "Localized course title."
},
"description": {
"type": "string",
"description": "Localized course description."
}
},
"required": [
"description",
"localeCode",
"title"
]
},
"description": "Field `translations` for course update."
},
"url": {
"type": "string",
"description": "Field `url` for course update."
},
"vendorCode": {
"type": "string",
"description": "Field `vendorCode` for course update."
}
},
"required": [
"PCID",
"X-Correlation-Id",
"X-Partner-Id",
"global-tenant-id",
"id"
]
}
ukg-configuration_update_course_participant
Update a course participant Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | Unique identifier for this request. Use to trace the request end-to-end. |
X-Partner-Id | string | Yes | — | Partner identifier provided by UKG. |
global-tenant-id | string | Yes | — | Global tenant identifier for multi-tenant operations. |
id | string | Yes | — | Course Participant ID |
companyId | string | No | — | A unique identifier for the company. |
completionDateTime | string | No | — | Field completionDateTime for course participant update. |
courseId | string | No | — | Field courseId for course participant update. |
courseParticipantId | string | No | — | Field courseParticipantId for course participant update. |
courseSessionId | string | No | — | Field courseSessionId for course participant update. |
dueDate | string | No | — | Field dueDate for course participant update. |
dueDateStatus | string | No | — | Field dueDateStatus for course participant update. |
endDate | string | No | — | Field endDate for course participant update. |
extensionData | object | No | — | Arbitrary JSON value container for extension data. |
externalId | string | No | — | Field externalId for course participant update. |
isRequired | boolean | No | — | Field isRequired for course participant update. |
numberOfCompletions | integer | No | — | Field numberOfCompletions for course participant update. |
pastCompletionDates | string | No | — | Field pastCompletionDates for course participant update. |
personId | string | No | — | Field personId for course participant update. |
progress | integer | No | — | Field progress for course participant update. |
renewalDate | string | No | — | Field renewalDate for course participant update. |
result | string | No | — | Field result for course participant update. |
score | integer | No | — | Field score for course participant update. |
startDate | string | No | — | Field startDate for course participant update. |
status | string | No | — | Field status for course participant update. |
timeSpent | integer | No | — | Field timeSpent for course participant update. |
timeToComplete | object | No | — | Field timeToComplete for course participant update. |
withdrawnDateTime | string | No | — | Field withdrawnDateTime for course participant update. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "Unique identifier for this request. Use to trace the request end-to-end."
},
"X-Partner-Id": {
"type": "string",
"description": "Partner identifier provided by UKG."
},
"global-tenant-id": {
"type": "string",
"description": "Global tenant identifier for multi-tenant operations."
},
"id": {
"type": "string",
"description": "Course Participant ID"
},
"companyId": {
"type": "string",
"description": "A unique identifier for the company."
},
"completionDateTime": {
"type": "string",
"description": "Field `completionDateTime` for course participant update."
},
"courseId": {
"type": "string",
"description": "Field `courseId` for course participant update."
},
"courseParticipantId": {
"type": "string",
"description": "Field `courseParticipantId` for course participant update."
},
"courseSessionId": {
"type": "string",
"description": "Field `courseSessionId` for course participant update."
},
"dueDate": {
"type": "string",
"description": "Field `dueDate` for course participant update."
},
"dueDateStatus": {
"type": "string",
"description": "Field `dueDateStatus` for course participant update.",
"enum": [
"ONTIME",
"OVERDUE"
]
},
"endDate": {
"type": "string",
"description": "Field `endDate` for course participant update."
},
"extensionData": {
"type": "object",
"description": "Arbitrary JSON value container for extension data."
},
"externalId": {
"type": "string",
"description": "Field `externalId` for course participant update."
},
"isRequired": {
"type": "boolean",
"description": "Field `isRequired` for course participant update."
},
"numberOfCompletions": {
"type": "integer",
"description": "Field `numberOfCompletions` for course participant update."
},
"pastCompletionDates": {
"type": "string",
"description": "Field `pastCompletionDates` for course participant update."
},
"personId": {
"type": "string",
"description": "Field `personId` for course participant update."
},
"progress": {
"type": "integer",
"description": "Field `progress` for course participant update."
},
"renewalDate": {
"type": "string",
"description": "Field `renewalDate` for course participant update."
},
"result": {
"type": "string",
"description": "Field `result` for course participant update.",
"enum": [
"PASSED",
"FAILED"
]
},
"score": {
"type": "integer",
"description": "Field `score` for course participant update."
},
"startDate": {
"type": "string",
"description": "Field `startDate` for course participant update."
},
"status": {
"type": "string",
"description": "Field `status` for course participant update.",
"enum": [
"A",
"C",
"I"
]
},
"timeSpent": {
"type": "integer",
"description": "Field `timeSpent` for course participant update."
},
"timeToComplete": {
"type": "object",
"description": "Field `timeToComplete` for course participant update.",
"properties": {
"seconds": {
"type": "integer",
"description": "The seconds value"
},
"zero": {
"type": "boolean",
"description": "The zero value"
},
"nano": {
"type": "integer",
"description": "The nano value"
},
"negative": {
"type": "boolean",
"description": "The negative value"
},
"positive": {
"type": "boolean",
"description": "The positive value"
},
"units": {
"type": "array",
"items": {
"type": "object"
},
"description": "The units value"
}
}
},
"withdrawnDateTime": {
"type": "string",
"description": "Field `withdrawnDateTime` for course participant update."
}
},
"required": [
"PCID",
"X-Correlation-Id",
"X-Partner-Id",
"global-tenant-id",
"id"
]
}
ukg-configuration_update_course_participants
Update multiple course participants Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | Unique identifier for this request. Use to trace the request end-to-end. |
X-Partner-Id | string | Yes | — | Partner identifier provided by UKG. |
global-tenant-id | string | Yes | — | Global tenant identifier for multi-tenant operations. |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "Unique identifier for this request. Use to trace the request end-to-end."
},
"X-Partner-Id": {
"type": "string",
"description": "Partner identifier provided by UKG."
},
"global-tenant-id": {
"type": "string",
"description": "Global tenant identifier for multi-tenant operations."
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"courseParticipantId": {
"type": "string",
"format": "uuid",
"description": "Field `courseParticipantId` for course participant update."
},
"courseSessionId": {
"type": "string",
"format": "uuid",
"description": "Field `courseSessionId` for course participant update."
},
"companyId": {
"type": "string",
"description": "A unique identifier for the company."
},
"personId": {
"type": "string",
"format": "uuid",
"description": "Field `personId` for course participant update."
},
"courseId": {
"type": "string",
"format": "uuid",
"description": "Field `courseId` for course participant update."
},
"externalId": {
"type": "string",
"description": "Field `externalId` for course participant update."
},
"status": {
"type": "string",
"enum": [
"A",
"C",
"I"
],
"description": "Field `status` for course participant update."
},
"result": {
"type": "string",
"enum": [
"PASSED",
"FAILED"
],
"description": "Field `result` for course participant update."
},
"progress": {
"type": "integer",
"format": "int32",
"description": "Field `progress` for course participant update."
},
"score": {
"type": "integer",
"format": "int32",
"description": "Field `score` for course participant update."
},
"isRequired": {
"type": "boolean",
"description": "Field `isRequired` for course participant update."
},
"pastCompletionDates": {
"type": "string",
"description": "Field `pastCompletionDates` for course participant update."
},
"numberOfCompletions": {
"type": "integer",
"format": "int32",
"description": "Field `numberOfCompletions` for course participant update."
},
"startDate": {
"type": "string",
"format": "date-time",
"description": "Field `startDate` for course participant update."
},
"endDate": {
"type": "string",
"format": "date-time",
"description": "Field `endDate` for course participant update."
},
"withdrawnDateTime": {
"type": "string",
"format": "date-time",
"description": "Field `withdrawnDateTime` for course participant update."
},
"dueDate": {
"type": "string",
"format": "date-time",
"description": "Field `dueDate` for course participant update."
},
"dueDateStatus": {
"type": "string",
"enum": [
"ONTIME",
"OVERDUE"
],
"description": "Field `dueDateStatus` for course participant update."
},
"timeSpent": {
"type": "integer",
"format": "int32",
"description": "Field `timeSpent` for course participant update."
},
"timeToComplete": {
"type": "object",
"description": "Field `timeToComplete` for course participant update."
},
"completionDateTime": {
"type": "string",
"format": "date-time",
"description": "Field `completionDateTime` for course participant update."
},
"renewalDate": {
"type": "string",
"format": "date-time",
"description": "Field `renewalDate` for course participant update."
},
"extensionData": {
"type": "object",
"description": "Arbitrary JSON value container for extension data."
}
}
},
"description": "Request body"
}
},
"required": [
"PCID",
"X-Correlation-Id",
"X-Partner-Id",
"global-tenant-id",
"body"
]
}
ukg-configuration_update_course_session
Update a course session Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | Unique identifier for this request. Use to trace the request end-to-end. |
X-Partner-Id | string | Yes | — | Partner identifier provided by UKG. |
global-tenant-id | string | Yes | — | Global tenant identifier for multi-tenant operations. |
id | string | Yes | — | Course Session ID |
applicationId | integer | No | — | Field applicationId for course session update. |
cost | number | No | — | Field cost for course session update. |
courseSessionId | string | No | — | Field courseSessionId for course session update. |
duration | object | No | — | Field duration for course session update. |
endDate | string | No | — | Field endDate for course session update. |
extensionData | object | No | — | Arbitrary JSON value container for extension data. |
facilityDescription | string | No | — | Field facilityDescription for course session update. |
instructorName | string | No | — | Field instructorName for course session update. |
maxNumberOfParticipants | integer | No | — | Field maxNumberOfParticipants for course session update. |
minNumberOfParticipants | integer | No | — | Field minNumberOfParticipants for course session update. |
notes | string | No | — | Field notes for course session update. |
numberOfParticipants | integer | No | — | Field numberOfParticipants for course session update. |
providerCode | string | No | — | Field providerCode for course session update. |
startDate | string | No | — | Field startDate for course session update. |
status | string | No | — | Field status for course session update. |
vendorCode | string | No | — | Field vendorCode for course session update. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "Unique identifier for this request. Use to trace the request end-to-end."
},
"X-Partner-Id": {
"type": "string",
"description": "Partner identifier provided by UKG."
},
"global-tenant-id": {
"type": "string",
"description": "Global tenant identifier for multi-tenant operations."
},
"id": {
"type": "string",
"description": "Course Session ID"
},
"applicationId": {
"type": "integer",
"description": "Field `applicationId` for course session update."
},
"cost": {
"type": "number",
"description": "Field `cost` for course session update."
},
"courseSessionId": {
"type": "string",
"description": "Field `courseSessionId` for course session update."
},
"duration": {
"type": "object",
"description": "Field `duration` for course session update.",
"properties": {
"seconds": {
"type": "integer",
"description": "The seconds value"
},
"zero": {
"type": "boolean",
"description": "The zero value"
},
"nano": {
"type": "integer",
"description": "The nano value"
},
"negative": {
"type": "boolean",
"description": "The negative value"
},
"positive": {
"type": "boolean",
"description": "The positive value"
},
"units": {
"type": "array",
"items": {
"type": "object"
},
"description": "The units value"
}
}
},
"endDate": {
"type": "string",
"description": "Field `endDate` for course session update."
},
"extensionData": {
"type": "object",
"description": "Arbitrary JSON value container for extension data."
},
"facilityDescription": {
"type": "string",
"description": "Field `facilityDescription` for course session update."
},
"instructorName": {
"type": "string",
"description": "Field `instructorName` for course session update."
},
"maxNumberOfParticipants": {
"type": "integer",
"description": "Field `maxNumberOfParticipants` for course session update."
},
"minNumberOfParticipants": {
"type": "integer",
"description": "Field `minNumberOfParticipants` for course session update."
},
"notes": {
"type": "string",
"description": "Field `notes` for course session update."
},
"numberOfParticipants": {
"type": "integer",
"description": "Field `numberOfParticipants` for course session update."
},
"providerCode": {
"type": "string",
"description": "Field `providerCode` for course session update."
},
"startDate": {
"type": "string",
"description": "Field `startDate` for course session update."
},
"status": {
"type": "string",
"description": "Field `status` for course session update.",
"enum": [
"OPEN",
"CLOSED"
]
},
"vendorCode": {
"type": "string",
"description": "Field `vendorCode` for course session update."
}
},
"required": [
"PCID",
"X-Correlation-Id",
"X-Partner-Id",
"global-tenant-id",
"id"
]
}
ukg-configuration_update_course_sessions
Update multiple course sessions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | Unique identifier for this request. Use to trace the request end-to-end. |
X-Partner-Id | string | Yes | — | Partner identifier provided by UKG. |
global-tenant-id | string | Yes | — | Global tenant identifier for multi-tenant operations. |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "Unique identifier for this request. Use to trace the request end-to-end."
},
"X-Partner-Id": {
"type": "string",
"description": "Partner identifier provided by UKG."
},
"global-tenant-id": {
"type": "string",
"description": "Global tenant identifier for multi-tenant operations."
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"courseSessionId": {
"type": "string",
"format": "uuid",
"description": "Field `courseSessionId` for course session update."
},
"status": {
"type": "string",
"enum": [
"OPEN",
"CLOSED"
],
"description": "Field `status` for course session update."
},
"startDate": {
"type": "string",
"format": "date-time",
"description": "Field `startDate` for course session update."
},
"endDate": {
"type": "string",
"format": "date-time",
"description": "Field `endDate` for course session update."
},
"duration": {
"type": "object",
"description": "Field `duration` for course session update."
},
"cost": {
"type": "number",
"description": "Field `cost` for course session update."
},
"maxNumberOfParticipants": {
"type": "integer",
"format": "int32",
"description": "Field `maxNumberOfParticipants` for course session update."
},
"minNumberOfParticipants": {
"type": "integer",
"format": "int32",
"description": "Field `minNumberOfParticipants` for course session update."
},
"numberOfParticipants": {
"type": "integer",
"format": "int32",
"description": "Field `numberOfParticipants` for course session update."
},
"instructorName": {
"type": "string",
"description": "Field `instructorName` for course session update."
},
"facilityDescription": {
"type": "string",
"description": "Field `facilityDescription` for course session update."
},
"providerCode": {
"type": "string",
"description": "Field `providerCode` for course session update."
},
"vendorCode": {
"type": "string",
"description": "Field `vendorCode` for course session update."
},
"applicationId": {
"type": "integer",
"format": "int32",
"description": "Field `applicationId` for course session update."
},
"notes": {
"type": "string",
"description": "Field `notes` for course session update."
},
"extensionData": {
"type": "object",
"description": "Arbitrary JSON value container for extension data."
}
}
},
"description": "Request body"
}
},
"required": [
"PCID",
"X-Correlation-Id",
"X-Partner-Id",
"global-tenant-id",
"body"
]
}
ukg-configuration_update_courses
Update multiple courses Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | Unique identifier for this request. Use to trace the request end-to-end. |
X-Partner-Id | string | Yes | — | Partner identifier provided by UKG. |
global-tenant-id | string | Yes | — | Global tenant identifier for multi-tenant operations. |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "Unique identifier for this request. Use to trace the request end-to-end."
},
"X-Partner-Id": {
"type": "string",
"description": "Partner identifier provided by UKG."
},
"global-tenant-id": {
"type": "string",
"description": "Global tenant identifier for multi-tenant operations."
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"courseId": {
"type": "string",
"format": "uuid",
"description": "Field `courseId` for course update."
},
"title": {
"type": "string",
"description": "Field `title` for course update."
},
"description": {
"type": "string",
"description": "Field `description` for course update."
},
"courseNotes": {
"type": "string",
"description": "Field `courseNotes` for course update."
},
"externalCourseId": {
"type": "string",
"description": "Field `externalCourseId` for course update."
},
"author": {
"type": "string",
"description": "Field `author` for course update."
},
"coAuthors": {
"type": "string",
"description": "Field `coAuthors` for course update."
},
"status": {
"type": "string",
"enum": [
"A",
"C",
"D"
],
"description": "Field `status` for course update."
},
"duration": {
"type": "object",
"description": "Field `duration` for course update."
},
"skillSetId": {
"type": "string",
"format": "uuid",
"description": "Field `skillSetId` for course update."
},
"averageTimeSpent": {
"type": "integer",
"format": "int32",
"description": "Field `averageTimeSpent` for course update."
},
"totalTimeSpent": {
"type": "integer",
"format": "int32",
"description": "Field `totalTimeSpent` for course update."
},
"averageExamsScore": {
[...]
